# Intrinio.Model.Company
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** | The Intrinio ID of the company | [optional] 
**Ticker** | **string** | The stock market ticker symbol associated with the company&#39;s common stock securities | [optional] 
**Name** | **string** | The company&#39;s common name | [optional] 
**Lei** | **string** | The Legal Entity Identifier (LEI) assigned to the company | [optional] 
**LegalName** | **string** | The company&#39;s official legal name | [optional] 
**StockExchange** | **string** | The Stock Exchange where the company&#39;s common stock is primarily traded | [optional] 
**Sic** | **string** | The Standard Industrial Classification (SIC) determined by the company and filed with the SEC | [optional] 
**ShortDescription** | **string** | A one or two sentence description of the company&#39;s operations | [optional] 
**LongDescription** | **string** | A one paragraph description of the company&#39;s operations and other corporate actions | [optional] 
**Ceo** | **string** | The Chief Executive Officer of the company | [optional] 
**CompanyUrl** | **string** | The URL of the company&#39;s primary corporate website or primary internet property | [optional] 
**BusinessAddress** | **string** | The company&#39;s business address | [optional] 
**MailingAddress** | **string** | The mailing address reported by the company | [optional] 
**BusinessPhoneNo** | **string** | The phone number reported by the company | [optional] 
**HqAddress1** | **string** | The company&#39;s headquarters address - line 1 | [optional] 
**HqAddress2** | **string** | The company&#39;s headquarters address - line 2 | [optional] 
**HqAddressCity** | **string** | The company&#39;s headquarters city | [optional] 
**HqAddressPostalCode** | **string** | The company&#39;s headquarters postal code | [optional] 
**EntityLegalForm** | **string** | The company&#39;s legal organization form | [optional] 
**Cik** | **string** | The Central Index Key (CIK) assigned to the company by the SEC as a unique identifier, used in SEC filings | [optional] 
**LatestFilingDate** | **DateTime?** | The date of the company&#39;s last filing with the SEC | [optional] 
**HqState** | **string** | The state (US &amp; Canada Only) where the company headquarters are located | [optional] 
**HqCountry** | **string** | The country where the company headquarters are located | [optional] 
**IncState** | **string** | The state (US &amp; Canada Only) where the company is incorporated | [optional] 
**IncCountry** | **string** | The country where the company is incorporated | [optional] 
**Employees** | **int?** | The number of employees working for the company | [optional] 
**EntityStatus** | **string** |  | [optional] 
**Sector** | **string** | The company&#39;s operating sector | [optional] 
**IndustryCategory** | **string** | The company&#39;s operating industry category | [optional] 
**IndustryGroup** | **string** | The company&#39;s operating industry group | [optional] 
**Template** | **string** | The financial statement template used by Intrinio to standardize the as reported data | [optional] 
**StandardizedActive** | **bool?** | If true, the company has standardized and as reported fundamental data via the Intrinio API; if false, the company has as-reported data only | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

