/* 
 * Intrinio API
 *
 * Welcome to the Intrinio API! Through our Marketplace, we offer a wide selection of financial data feeds sourced by our own proprietary processes as well as from many data vendors. The primary application of the Intrinio API is for use in third-party applications and integrations or for end-users utilizing the Excel add-in and Google Sheets add-on. The Intrinio API uses HTTPS verbs and a RESTful endpoint structure, which makes it easy to request data from Intrinio. Responses are delivered in JSON format. If you need additional help in using the API, go to our home page (https://intrinio.com) and click on the chat icon in the lower right corner.
 *
 * OpenAPI spec version: 2.0.0
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 */

using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using NUnit.Framework;

using Intrinio.Client;
using Intrinio.Api;
using Intrinio.Model;

namespace Intrinio.Test
{
    /// <summary>
    ///  Class for testing StockExchangeApi
    /// </summary>
    [TestFixture]
    public class StockExchangeApiTests
    {
        private StockExchangeApi instance;

        /// <summary>
        /// Setup before each unit test
        /// </summary>
        [SetUp]
        public void Init()
        {
            instance = new StockExchangeApi();
        }

        /// <summary>
        /// Clean up after each unit test
        /// </summary>
        [TearDown]
        public void Cleanup()
        {

        }

        /// <summary>
        /// Test an instance of StockExchangeApi
        /// </summary>
        [Test]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsInstanceOfType' StockExchangeApi
            //Assert.IsInstanceOfType(typeof(StockExchangeApi), instance, "instance is a StockExchangeApi");
        }

        
        /// <summary>
        /// Test FilterStockExchanges
        /// </summary>
        [Test]
        public void FilterStockExchangesTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string city = null;
            //string country = null;
            //string countryCode = null;
            //string nextPage = null;
            //var response = instance.FilterStockExchanges(city, country, countryCode, nextPage);
            //Assert.IsInstanceOf<List<StockExchange>> (response, "response is List<StockExchange>");
        }
        
        /// <summary>
        /// Test GetAllStockExchanges
        /// </summary>
        [Test]
        public void GetAllStockExchangesTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string nextPage = null;
            //var response = instance.GetAllStockExchanges(nextPage);
            //Assert.IsInstanceOf<List<StockExchange>> (response, "response is List<StockExchange>");
        }
        
        /// <summary>
        /// Test GetStockExchangeById
        /// </summary>
        [Test]
        public void GetStockExchangeByIdTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string identifier = null;
            //var response = instance.GetStockExchangeById(identifier);
            //Assert.IsInstanceOf<StockExchange> (response, "response is StockExchange");
        }
        
        /// <summary>
        /// Test GetStockExchangePrices
        /// </summary>
        [Test]
        public void GetStockExchangePricesTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string identifier = null;
            //DateTime? date = null;
            //string nextPage = null;
            //var response = instance.GetStockExchangePrices(identifier, date, nextPage);
            //Assert.IsInstanceOf<List<StockPrice>> (response, "response is List<StockPrice>");
        }
        
        /// <summary>
        /// Test GetStockExchangeSecurities
        /// </summary>
        [Test]
        public void GetStockExchangeSecuritiesTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string identifier = null;
            //string nextPage = null;
            //var response = instance.GetStockExchangeSecurities(identifier, nextPage);
            //Assert.IsInstanceOf<List<Security>> (response, "response is List<Security>");
        }
        
    }

}
